/* Mobile styles */
#fixed_header__wrapper {
  width: 100%;
  background: #262626;
  display: none;
  overflow: hidden;
}

@media (max-width: 776px) {
  #fixed_header__wrapper {
    display: block;
  }
}

/* #fixed_header:after {
    content: ".";
    color: transparent;
} */

#fixed_header{
  width: 100%;
  transition: all .3s;  
  position: relative;
  z-index: 1;
}

#fixed_header .selected_job {
    width: 100%;
    min-height: var(--close-size);
    text-align: right;
    font-size:calc(var(--in-font-size) * 1.1);
    font-weight: 700;
    color: #ddd;
    padding-left: var(--close-size);
    display: flex;
    justify-content: flex-end;
    align-items: center;
}


.global_menu {
  position: fixed;
  width: 100%;
  max-width: calc(280px + var(--close-size));
  height: 100%;
  min-height: 100%;
  top: 0;
  left: 0;
  z-index: 9999;
  transform: translateX(-100%);
  transition: all .4s;
  pointer-events: none;
  display: none;
  
}
@media (max-width: 776px) {
  .global_menu {
    pointer-events:initial;
    display: flex;
  }
}

.global_menu__overlay {
  position: fixed;
  width: 101vw;
  height: 101vh;
  top: 0;
  left: 0;
  background: rgba(0, 0, 0, .7);
  backdrop-filter: blur(2px);
  z-index: 9999;
  display: none;
  pointer-events: none;
}

.global_menu__scroll_area {
  /* width: 280px; */
  width: calc(100% - var(--close-size));
  min-height: 100%;
  background: #262626;
  position: relative;
  z-index: 2;
}

.global_menu__inner {
  /* width: 280px; */
  width: 100%;
  min-height: 100%;
  position: relative;
  top: 0;
  right: 0;
  -moz-transition: all .4s;
  -o-transition: all .4s;
  -webkit-transition: all .4s;
  transition: all .4s
}

#slide_menu_link_list_wrapper, #slide_menu_link_list_wrapper>*{
  width: 100%;
}

.global_menu__close {
  width: 101vw;
  min-height: 101vh;
  position: fixed;
  top: 0;
  left: 0;
  display: none;
  z-index: 0;
  /* backdrop-filter: blur(2px); */
}

.global_menu__header {
  padding: 6px 6px 7px 4px
}

.global_menu__body {
  width: 100%;
  padding-bottom: 32px;
}

.global_menu__body.menu_show {
  box-shadow: 0 0 8px rgba(0, 0, 0, 0.5)
}

.global_menu__list a, .global_menu__list span {
  /* height: 40px; */
  padding: 8px 12px;
  line-height: 1.2;
  background: #262626;
  color: #f5f5f5;
  position: relative;
  display: flex;
  align-items: center;
}
.global_menu__guide_top, .global_menu__list a, .global_menu__list span {
  transition: all .2s;
}


.global_menu__list a img, .global_menu__list span img {
  display: block;
  margin-right: 4px;
}

.global_menu__list a.press, .global_menu__list span.press {
  background: #333;
}

.global_menu__list a.selected, .global_menu__list span.selected {
  color: #e4d4a2;
  background: #262626;
  pointer-events: none;
}

.global_menu__guide_top:hover, .global_menu__list a:hover, .global_menu__list span:hover {
  color: #e4d4a2;
}

.global_menu__list a.ic_new::after, .global_menu__list a.ic_update::after, .global_menu__list span.ic_new::after, .global_menu__list span.ic_update::after {
  content: "";
  display: block;
  position: absolute;
  top: 50%;
  right: 12px;
  -moz-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  -webkit-transform: translateY(-50%);
  transform: translateY(-50%);
  width: 8px;
  height: 8px;
  background: #cc2929;
  border-radius: 4px
}

.global_menu__list a.ic_update::after, .global_menu__list span.ic_update::after {
  background: #e68600
}


.global_menu__guide_top {
  width: 100%;
  height: 40px;
  padding-left: 18px;
  background: #262626;
  color: #f5f5f5;
  line-height: 40px;
  position: relative;
  display: block;
}

.global_menu__guide_top img {
  margin-top: -5px;
  position: absolute;
  top: 50%;
  left: 4px;
}

.global_menu__guide_top img.on {
  opacity: 0
}

.global_menu__title {
  position: relative;
  padding: 4px 4px;
  color: #fff;
  font-weight: 700;
  line-height: 16px;
  background: #1a1a1a;
  color: #f5f5f5;
}

.global_menu__title img {
  width: 16px;
  height: 16px;
  display: block;
  float: left;
  margin-right: 4px;
}

.global_menu__title--tank {
  background: #2d3a80;
}

.global_menu__title--healer {
  background: #346624;
}

.global_menu__title--dps {
  background: #732828;
}

.bt_menu, .bt_menu__close {
  width: var(--close-size);
  height: var(--close-size);
  mask-size: 100% 100%;
  mask-repeat: no-repeat;
  mask-position: center;
  background: #ccc;
  transition: all .2s;
  cursor: pointer;
  position: relative;
  z-index: 3;
  top: var(--header-offset);  
  transition: all .2s;
}

.bt_menu{
  position: absolute;
  left: 0;
  top: 0;
  z-index: 13;
}
@media (min-width: 777px) {
  .bt_menu{
    display: none;
  }
  
}


.bt_menu:hover, .bt_menu__close:hover{
  background: #fff;
}

.bt_menu__close:hover{
  transform: rotate(90deg);
}

.bt_menu {
    mask-image: url(../images/menu-expand-right.png);
}
.bt_menu.close{
  display: none;
}

.bt_menu__close {
    display: none;
    mask-image: url(../images/close_gmenu.png);
}

.bt_menu__close.press {
  filter: brightness(.8);
}

@media (max-width: 200px) {
  :root{
    --close-size: 32px;
  }
  .global_menu__title{
    padding: 4px 1px;
  }

  .global_menu__title img{
    margin-right: 2px;
  }

  #fixed_header .selected_job,
  .global_menu__list a, .global_menu__list span {
    font-size: calc(var(--in-font-size) * .9);
  }

  .global_menu__list a, .global_menu__list span{
    padding: 6px;
  }
  
  .global_menu__list a img, .global_menu__list span img {
    width: 16px;
    height: 16px;
  }
}

